Skip to main content
GET
/
api
/
v1
/
specs
/
{spec_id}
/
knowledge
List Spec Knowledge
curl --request GET \
  --url https://api.example.com/api/v1/specs/{spec_id}/knowledge \
  --header 'Authorization: Bearer <token>'
[
  {
    "created_at": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "id": "<string>",
    "mime_type": "<string>",
    "spec_id": "<string>",
    "title": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

spec_id
string
required

Response

Successful Response

created_at
string<date-time>
required
description
string | null
required
id
string
required
mime_type
string
required
spec_id
string
required
title
string
required
Last modified on May 8, 2026